<div class="row pt-5">
	<div class="col-md-12 white-box">
		<h3> All Bookings </h3>
		<br>
		<table class="table table-bordered">
		  <thead>
		    <tr>
		      <th scope="col">#</th>
		      <th scope="col">Customer Email</th>
		      <th scope="col">Movie Name</th>
		      <th scope="col">Booking Date</th>
		      <th scope="col">Show Timings</th>
		      <th scope="col">Seats Booked</th>
		    </tr>
		  </thead>
		  <tbody>
		    <% @bookings.each_with_index do |booking, index| %>
			    <tr>
			      <th scope="row"><%= index + 1%></th>
			      <td><%= booking.customer.email %></td>
			      <td><%= booking.movie.name.titleize %></td>
			      <td><%= booking.booking_for_date %></td>
			      <td><%= booking.show.time_slot.start_time %></td>
			      <td>
			      	<% objects = booking.booked_seats %>
              <% objects.each_with_index do |booked_seat, index| %>  
                <% seat = booked_seat.seat %>
                <% row = seat.row %>
                <% screen = row.screen %>
                <% str = '' %>
                <% str = str +  "#{screen.name}  | #{row.row_no} | #{seat.seat_no}" %> 
                <% if index > 0 and index != (objects.count + 1) %>
                  <% str = str + ', ' %>
                <% end %>
                <%= str %>
              <% end %>
			      </td>
			    </tr>
		    <% end %>
		  </tbody>
		</table>
	</div>
</div>
